import BaseRouter from './BaseRouter';
import { AxiosRequestConfig } from 'axios';
import { BaseRouterArgs } from '../types';
import { Media, MediaQuery } from '../types/Model';
interface Args extends BaseRouterArgs {
    data: {
        file: File;
    };
    where: MediaQuery;
    model: Media;
}
declare class MediaRoutes extends BaseRouter<Args> {
    basePath: string;
    configs: AxiosRequestConfig<any>;
    beforeCreate(data: any): Promise<any>;
}
declare const _default: MediaRoutes;
export default _default;
